﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    public List<string> messages = new List<string>();
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (txtName.Text == "admin")
        {
            lblSuccessMessage.Text = String.Empty;
            messages.Add("Invalid String: 'admin'");
        }
        else
        {
            lblSuccessMessage.Text = "You entered valid string: " + txtName.Text;
        }
    }
    protected override void OnPreRender(EventArgs e)
    {
        if (messages.Count > 0)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("<ul>");
            foreach (string str in messages)
            {
                sb.Append("<li>" + str + "</li>");
            }
            sb.Append("</ul>");
            string script = "$(function(){showDialog(\"" + sb.ToString() + "\");});";
            Page.ClientScript.RegisterStartupScript(this.Page.GetType(), "dialog", script, true);
        }
        base.OnPreRender(e);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Error Summary</title>
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.4.2.min.js"></script>
     <script type="text/javascript" src="http://ajax.microsoft.com/ajax/jquery.ui/1.8.5/jquery-ui.js"></script> 
     <link type="text/css" rel="Stylesheet" href="http://ajax.microsoft.com/ajax/jquery.ui/1.8.5/themes/smoothness/jquery-ui.css" />
   
    <script type="text/javascript">
        $(function () {
            initializedialog();
        });
        function initializedialog() {
            $("#error-messages").dialog({
                autoOpen: false,
                hide: 'blind',
                minHeight: 125,
                maxWidth: 300,
                show: 'blind',
                title: 'Error(s)!'
            });
        }

        //This function is called from the script injected from code-behind.
        function showDialog(message) {
            // $("#error-messages").remove();
            $("#error-messages").append(message);
            $("#error-messages").dialog('open');
        }
    </script>
    <style type="text/css">
    .ui-dialog-content
    {
	    font-size:12px;
	    color:#cc0000;
    }
    .ui-dialog-title
    {
	    font-size:11px;
    }
    </style>
</head>
<body>
    <form id="form1" runat="server">
     <div>
        <p>Enter <strong>admin</strong> to show dialog.</p>
        <span>Enter Text:</span>
        <asp:TextBox ID="txtName" runat="server"></asp:TextBox><br />
        <asp:Button ID="Button1" runat="server" Text="Click to Test" onclick="Button1_Click" /><br />
        <asp:Label ID="lblSuccessMessage" runat="server" ForeColor="Red" Text=""></asp:Label>
        <div id="error-messages">
        </div>

    </div>
    </form>
</body>
</html>
